package com.uas.search.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 物料（用于非标搜索）
 *
 * @author sunyj
 * @since 2017/11/24 16:46
 */
@Entity
@Table(name = "products")
public class Products implements Serializable {

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "pr_id")
    private Long id;

    /**
     * 型号
     */
    @Column(name = "pr_pcmpcode")
    private String pcmpCode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPcmpCode() {
        return pcmpCode;
    }

    public void setPcmpCode(String pcmpCode) {
        this.pcmpCode = pcmpCode;
    }

    @Override
    public String toString() {
        return "Products{" +
                "id=" + id +
                ", pcmpCode='" + pcmpCode + '\'' +
                '}';
    }
}
